## polyseed 1.0.0

=== CMakeLists.txt ===
# Copyright (c) 2020-2021 tevador <tevador@gmail.com>
# See LICENSE for licensing information

cmake_minimum_required(VERSION 3.5)

project(polyseed)

set(polyseed_sources
src/dependency.c
src/features.c
src/gf.c
src/lang.c
src/lang_cs.c
src/lang_en.c
src/lang_es.c
src/lang_fr.c
src/lang_it.c
src/lang_jp.c
src/lang_ko.c
src/lang_pt.c
src/lang_zh_s.c
src/lang_zh_t.c
src/polyseed.c
src/storage.c)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
  message(STATUS "Setting default build type: ${CMAKE_BUILD_TYPE}")
endif()

add_library(polyseed SHARED ${polyseed_sources})
set_property(TARGET polyseed PROPERTY POSITION_INDEPENDENT_CODE ON)
set_property(TARGET polyseed PROPERTY PUBLIC_HEADER include/polyseed.h)
include_directories(polyseed
  include/)
target_compile_definitions(polyseed PRIVATE POLYSEED_SHARED)
set_target_properties(polyseed PROPERTIES VERSION 1.0.0
                                          SOVERSION 1
                                          C_STANDARD 11
                                          C_STANDARD_REQUIRED ON)

add_library(polyseed_static STATIC ${polyseed_sources})
set_property(TARGET polyseed_static PROPERTY POSITION_INDEPENDENT_CODE ON)
include_directories(polyseed_static
  include/)
target_compile_definitions(polyseed_static PRIVATE POLYSEED_STATIC)
set_target_properties(polyseed_static PROPERTIES OUTPUT_NAME polyseed
                                                 C_STANDARD 11
                                                 C_STANDARD_REQUIRED ON)

add_executable(polyseed-tests
  tests/tests.c)
include_directories(polyseed-tests
  include/)
target_compile_definitions(polyseed-tests PRIVATE POLYSEED_STATIC)
target_link_libraries(polyseed-tests
  PRIVATE polyseed_static)

include(GNUInstallDirs)
install(TARGETS polyseed polyseed_static
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== debian/changelog ===
polyseed (1.0.0-3) unstable; urgency=medium

  * New maintainer upload. (Closes: #1088954)
  * debian/watch: Bump to uscan version 5, rewrite source files.
  * debian/control: Update with latest changes
    - Add new maintainer to Uploaders and remove former.
    - Remove redundant Rules-Requires-Root.
    - Bump to 4.7.2, no changes required.
  * debian/upstream/metadata: Add metadata file.
  * debian/copyright: Update copyright file
    - Update debian/* stanzas.
    - Rewrite text for more comfortable reading.
  * debian/libpolyseed1.symbols: Add symbols file.
  * debian/gbp.conf: Update configuration rules.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Thu, 27 Nov 2025 16:19:15 +0000

polyseed (1.0.0-2) unstable; urgency=medium

  * Properly team-maintain polyseed.
  * Use _MAINT_ variable for build profile.

 -- Bastian Germann <bage@debian.org>  Wed, 13 Nov 2024 22:35:34 +0000

polyseed (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1087081)

 -- Bastian Germann <bage@debian.org>  Fri, 08 Nov 2024 17:09:33 +0100

=== debian/control ===
Source: polyseed
Section: libs
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.2
Homepage: https://github.com/tevador/polyseed
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/polyseed
Vcs-Git: https://salsa.debian.org/cryptocoin-team/polyseed.git

Package: libpolyseed-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpolyseed1 (= ${binary:Version}),
 ${misc:Depends},
Description: Mnemonic seed library (development package)
 Mnemonic seed library for Monero and other CryptoNote-based currencies.
 The mnemonic phrase can be treated as a polynomial over GF(2048), which
 enables the use of an efficient Reed-Solomon error correction code with one
 check word. All single-word errors can be detected and all single-word
 erasures can be corrected without false positives.
 .
 To prevent the seed from being accidentally used with a different
 cryptocurrency, a coin flag is XORed with the second word after the checksum
 is calculated. Checksum validation will fail unless the wallet software XORs
 the same coin flag with the second word when restoring.
 .
 This is the development package.

Package: libpolyseed1
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Mnemonic seed library
 Mnemonic seed library for Monero and other CryptoNote-based currencies.
 The mnemonic phrase can be treated as a polynomial over GF(2048), which
 enables the use of an efficient Reed-Solomon error correction code with one
 check word. All single-word errors can be detected and all single-word
 erasures can be corrected without false positives.
 .
 To prevent the seed from being accidentally used with a different
 cryptocurrency, a coin flag is XORed with the second word after the checksum
 is calculated. Checksum validation will fail unless the wallet software XORs
 the same coin flag with the second word when restoring.

=== debian/rules ===
#!/usr/bin/make -f

# Use the default build hardening flags.  <https://wiki.debian.org/HardeningWalkthrough>
# Build the library with time64 support on i386.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+time64

%:
	dh $@

=== debian/watch ===
Version: 5

Template: Github
Owner: tevador
Project: polyseed
